#include <lua.h>
#include <lualib.h>
#include <lauxlib.h>

static int func(lua_State *L) {
    const char *arg = luaL_checkstring(L, 1); // pop argument
    lua_pushfstring(L, "%s C func!", arg);    // push result
    return 1;                                 // number of results
}

static const struct luaL_Reg funcs[2] = {
    {"func", func},
    {NULL, NULL}
};

int luaopen_clib(lua_State *L) {
    luaL_newlib(L, funcs);
    return 1;
}
